Share a connection into a Room
Shares one of the caller's own connected apps or saved logins into a Room they can open. Pass task_id to answer one of their open requests with it.
AuthorizationBearer <token>
Signed-in user's Supabase access token. Workspace-scoped operations also require SMB-Workspace-Id.
In: header
Path Parameters
room_id*string
Match
^rom_[0-7][0-9A-HJKMNP-TV-Z]{25}$Header Parameters
SMB-Workspace-Id*string
Workspace where this operation runs. Required for user tokens and Workspace API keys.
Format
uuidIdempotency-Key*string
Length
8 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/rooms/string/connections" \ -H "SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Idempotency-Key: stringst" \ -H "Content-Type: application/json" \ -d '{ "connection_id": "d3547de1-d1f2-4344-b4c2-17169b7526f9" }'{ "data": { "connection_id": "d3547de1-d1f2-4344-b4c2-17169b7526f9", "kind": "app", "plugin": "string", "origin": "string", "label": "string", "status": "live", "shared_by": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" }, "shared_at": "string", "mine": true, "can_stop": true }, "request_id": "string"}